import { Request, Response, NextFunction } from "express";
import News from "../../models/NewsSchema";

const getNews = () => {
  return (req: Request, res: Response, next: NextFunction) => {
    News.findById(req.params.id, (error, result) => {
      if (!error) {
        res.status(200);
        res.data.newsObject = result;
      } else {
        console.warn(error);
      }
      next();
    });
  };
};

export default getNews;
