import { Request, Response } from 'express';
import {oauth2, scope} from '../../utils/auth'


const authorizationUri = oauth2().authorizationCode.authorizeURL({
    scope: scope,
});


const login = () =>   (req: Request, res: Response) => res.redirect(authorizationUri);


export default login;