import { Request, Response, NextFunction } from "express";
import News from "../../models/NewsSchema";

const getNewsList = () => {
  return (req: Request, res: Response, next: NextFunction) => {
    News.find({}, (err, news) => {
      if (!err) {
        res.data.news = news;
      }
      next();
    });
  };
};

export default getNewsList;
