import { Request, Response, NextFunction } from 'express';
import Profile from '../../models/ProfileSchema';

const deletUser = () => (req: Request, res: Response, next: NextFunction) => {
  Profile.findByIdAndDelete(req.params.id, (error) => {
    if (error) {
      res.status(400);
    } else {
      res.status(204);
    }
    next();
  });
}

export default deletUser;