import { Request, Response, NextFunction } from 'express';
import Profile from '../../models/ProfileSchema';

const getOwnUser = () => (req: Request, res: Response, next: NextFunction) => {
  if(!req.session!.user) {
    return res.json({loggedIn: false})
  }
  res.json({...req.session!.user, loggedIn: true});
}

export default getOwnUser;