import { Document, Schema, model } from 'mongoose';

export interface INews extends Document {
    title : string
    text : string
 /*    author : {
       // id: IUser["_id"],
        userName: string,
    },
    editedBy?: {
       // id: IUser["_id"],
        userName: string,
    }, */
    publishedAt: string
}

const NewsSchema = new Schema({
    title : { type: String, required: true },
    text : { type: String, required: true },
    /* author : {
        id: { type: Schema.Types.ObjectId, required: true },
        userName: { type: String, required: true }
    },
    editedBy: {
        id: { type: Schema.Types.ObjectId, required: true },
        userName: { type: String, required: true }
    }, */
    publishedAt: { type: String, required: true }, 
});

export default model<INews>('News', NewsSchema);