import simpleOauth2 from "simple-oauth2";

const oauth2 = () => simpleOauth2.create(
  {
    client: {
      id: process.env.AUTH_ID || "",
      secret: process.env.AUTH_SECRET_KEY || ""
    },
    auth: {
      tokenHost: 'https://auth.sch.bme.hu',
      tokenPath: '/oauth2/token',
      authorizePath: '/site/login'
    }
  }
);

const scope : string[] = ['basic', 'mail', 'sn', 'givenName']

export {oauth2, scope};