import { INews } from "../../models/NewsSchema";
import { IProfile } from "src/models/ProfileSchema";

declare global {
  namespace Express {
    export interface Response {
      data: {
        news?: INews[] | null;
        newsObject?: INews | null;
        profile?: IProfile | null;
        profiles?: IProfile[] | null;
      };
    }
  }
}
